%define texmf   %{_datadir}/texmf

Name:           tetex-elsevier
# upstream is unversionned, the version is constructed with the latest 
# file timestamp, in the format YYYYMMDD
Version:        0.1.20071024
Release:        1%{?dist}
Summary:        Elsevier LaTeX style files and documentation

Group:          Applications/Publishing
License:        LPPL
URL:            http://www.elsevier.com/locate/latex
Source1:        http://www.elsevier.com/framework_authors/misc/elsart.cls
Source2:        http://www.elsevier.com/framework_authors/misc/elsart1p.cls
Source3:        http://www.elsevier.com/framework_authors/misc/elsart3p.cls
Source4:        http://www.elsevier.com/framework_authors/misc/elsart5p.cls
Source7:        http://www.elsevier.com/framework_authors/misc/template-harv.tex
Source8:        http://www.elsevier.com/framework_authors/misc/template-num.tex
Source9:        http://www.elsevier.com/framework_authors/misc/elsart-harv.bst
Source10:       http://www.elsevier.com/framework_authors/misc/elsart-num.bst
Source11:       http://www.elsevier.com/framework_authors/misc/elsart-num-names.bst
Source12:       http://www.elsevier.com/framework_authors/misc/elsart-num-sort.bst
Source13:       http://www.elsevier.com/framework_authors/misc/CHANGES
Source14:       http://www.elsevier.com/framework_authors/misc/README
Source15:       http://www.elsevier.com/framework_authors/misc/instructions-num.tex
Source16:       http://www.elsevier.com/framework_authors/misc/instructions-harv.tex

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Buildarch:      noarch
BuildRequires:  tetex-latex

Requires:       tetex-latex

%description
LaTeX style files and documentation for the Elsevier publisher.

%prep
%setup -q -T -c
cp -p %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} \
 %{SOURCE7} %{SOURCE8} %{SOURCE9} %{SOURCE10} %{SOURCE11} %{SOURCE12} \
 %{SOURCE13} %{SOURCE14} %{SOURCE15} %{SOURCE16} .

# remove dos end of lines and keep timestamps
for file in CHANGES *.cls *.bst *.tex; do
  sed -e 's/\r//' $file > $file.tmp
  touch -r $file $file.tmp
  mv $file.tmp $file
done

%build
pdflatex instructions-num
pdflatex instructions-num
pdflatex instructions-harv
pdflatex instructions-harv


%install
rm -rf $RPM_BUILD_ROOT
install -d -m755 $RPM_BUILD_ROOT%{texmf}/tex/latex/elsevier/ 
install -d -m755 $RPM_BUILD_ROOT%{texmf}/bibtex/bst/elsevier/
cp -p *.cls $RPM_BUILD_ROOT%{texmf}/tex/latex/elsevier/
cp -p *.bst $RPM_BUILD_ROOT%{texmf}/bibtex/bst/elsevier/

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /usr/bin/texhash


%postun -p /usr/bin/texhash


%files
%defattr(-,root,root,-)
%doc README CHANGES *.pdf template-*.tex
%{texmf}/tex/latex/elsevier/
%{texmf}/bibtex/bst/elsevier/


%changelog
* Fri Dec 28 2007 Patrice Dumas <pertusus@free.fr> 0.1.20071024-1
- update to the new version
- correct urls
- build the manuals

* Tue Aug 22 2006 Patrice Dumas <pertusus@free.fr> 0.1.20060516-3
- correct bst files place

* Fri Aug 11 2006 Patrice Dumas <pertusus@free.fr> 0.1.20060516-2
- really keep the timestamps

* Fri Aug 11 2006 Patrice Dumas <pertusus@free.fr> 0.1.20060516-1
- keep files timestamps, even for installed files
- remove unneeded tetex-latex BuildRequires
- correct the version by using the right month from the file timestamps

* Thu Aug 10 2006 Patrice Dumas <pertusus@free.fr> 0.1.20060416-3
- don't ship the ifac style, it is not redistributable

* Wed Aug  9 2006 Patrice Dumas <pertusus@free.fr> 0.1.20060416-2
- Ship a README.fedora file instead of packaging the web page

* Wed Aug  9 2006 Patrice Dumas <pertusus@free.fr> 0.1.20060416-1
- Initial Release
